with Ada.Text_IO, Strings, Ints, Flts, Globals, Param, Messages, Reps;
use Ada.Text_IO, Strings, Ints, Flts, Globals, Param, Messages, Reps;
with Greens;

pragma Elaborate_All (Ada.Text_IO,Strings,Ints,Flts,Globals,Param,Reps);
pragma Elaborate_All (Greens);

procedure FindFix is

   Deg_Fourier1: constant Positive := 400;

   package Blue is new Greens (PDeg => Deg_Fourier1, Scalar => Rep);
   use Blue;
   
   Rho1: constant Radius := Flt(3)/Flt(4);
   Rho2: constant Radius := Flt(1)/Flt(8);
   Alpha:constant Radius := Flt(3)/Flt(8);

begin

   Verbosity := 1;
   Show_Param;
   SetParam(Rho1,Rho2,Alpha);
   Find_Fix(3);
   
end FindFix;
