with Flt_Matrices, Flt_Vectors;

pragma Elaborate_All(Flt_Matrices,Flt_Vectors);

package Flts.Plotting is
  
  subtype FltVec is Flt_Vectors.Vector;
  subtype FltMat is Flt_Matrices.Matrix;
  
  procedure Plot(F: in File_Type; R: in FltVec);
  procedure Plot(FileName: in String; R: in FltVec);
  procedure Plot2(F: in File_Type; R1,R2: in Flt);
  procedure Plot2(FileName: in String; R1,R2: in Flt);
  procedure Plot3(F: in File_Type; R1,R2,R3: in Flt);
  procedure Plot3(FileName: in String; R1,R2,R3: in Flt);
  function Interpolate(Points,Values: FltVec; X: Flt) return Flt;
  
end Flts.Plotting;

