with Rationals, Flts;
use Rationals, Flts;

pragma Elaborate_All (Rationals,Flts);

package Param is
  
  Q_Epsilon:  constant Rational := 1/100;
  Q_Gamma:    constant Rational := 5/1;
  Q_Alpha:    constant Rational := 1/10;
  
  F_Length:   constant Flt := Flt(128);  -- length of period
  Delta_Fac:  constant Flt := Half**31;  -- make Delta'(0) of order 1
  
end Param;
